NonexistentConversationException
Date: 2015-09-11

javax.enterprise.context

## Class NonexistentConversationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.enterprise.context.ContextException
        - - javax.enterprise.context.NonexistentConversationException

- All Implemented Interfaces:
    java.io.Serializable

      public class NonexistentConversationException
      extends ContextException

  Indicates that the conversation context could not be restored.

  If the propagated conversation cannot be restored, the container must associate the request with a new transient conversation and throw an exception of type `NonexistentConversationException` from the restore view phase of the JSF lifecycle.

  See Also:
    `ConversationScoped`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonexistentConversationException()`
    `NonexistentConversationException(java.lang.String message)`
    `NonexistentConversationException(java.lang.String message, java.lang.Throwable cause)`
    `NonexistentConversationException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NonexistentConversationException

          public NonexistentConversationException()

    - #### NonexistentConversationException

          public NonexistentConversationException(java.lang.String message)

    - #### NonexistentConversationException

          public NonexistentConversationException(java.lang.Throwable cause)

    - #### NonexistentConversationException

          public NonexistentConversationException(java.lang.String message,
                                          java.lang.Throwable cause)